#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""Setup script"""

import configparser
import setuptools

config = configparser.ConfigParser()
config.read('setup.cfg')

setuptools.setup(
    scripts=['discover_mastodon_servers/discover_mastodon_servers.py'],
    author="Antonio J. Delgado",
    version=config['metadata']['version'],
    name=config['metadata']['name'],
    author_email="ad@susurrando.com",
    url="ssh://git@repos.susurrando.com:7272/srv/git.repos/discover-mastodon-servers.git",
    description="Discover Mastodon servers by looking at public timelines",
    long_description="README.md",
    long_description_content_type="text/markdown",
    license="GPLv3",
    # keywords=["my", "script", "does", "things"]
)
